[ 
https://issues.apache.org/jira/browse/OPENJPA-2669?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15569132#comment-15569132
 ] 

ASF GitHub Bot commented on OPENJPA-2669:
-----------------------------------------

Github user cschneider closed the pull request at:

    https://github.com/apache/openjpa/pull/5


> Add apache karaf feature for openjpa and adapt OSGi imports
> -----------------------------------------------------------
>
>                 Key: OPENJPA-2669
>                 URL: https://issues.apache.org/jira/browse/OPENJPA-2669
>             Project: OpenJPA
>          Issue Type: Improvement
>            Reporter: Christian Schneider
>             Fix For: 3.0.0
>
>
> The apache karaf enterprise feature contains too many different features and 
> versions. This can easily confuse users and cause wrong versions to be 
> installed. It is also not possible to install e.g. openjpa 3 in an apache 
> karaf that is already released as the enterprise feature can not be changed 
> for a release.
> So we plan to move feature definitions to the projects that create the 
> software to be installed.
> The main advantage is that the user can freely choose which openjpa version 
> to install independent of the karaf version.
> This issue tackles to create a feature repo for openjpa 3.0.0 and also to 
> adapt the OSGi package imports to the jpa 2.1 spec. I will create a github PR 
> for this.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Reply via email to